#configuring port
server.port=8097

spring.mvc.log-request-details = true
spring.mvc.dispatch-options-request=true
spring.servlet.multipart.enabled=true
spring.servlet.multipart.file-size-threshold=2
spring.servlet.multipart.max-file-size=100505867
spring.servlet.multipart.max-request-size=100505867

dataSourceURL=jdbc:mysql://localhost:3306/testbagaa?useSSL=false&autoReconnect=true&serverTimezone=GMT&useUnicode=yes&characterEncoding=UTF-8
dataSourceUSERNAME=root
dataSourcePASSWORD=

feedbackEmailId=jai.prakash@easetolearn.com

spring.datasource.tomcat.initial-size=15
spring.datasource.tomcat.max-wait=20000
spring.datasource.tomcat.max-active=50
spring.datasource.tomcat.max-idle=15
spring.datasource.tomcat.min-idle=8
spring.datasource.tomcat.default-auto-commit=true
spring.datasource.tomcat.test-on-borrow=false

spring.jpa.hibernate.naming.physical-strategy=org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl

#spring.jpa.hibernate.ddl-auto=none
spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.MySQLDialect
spring.jpa.properties.hibernate.current_session_context_class=org.springframework.orm.hibernate5.SpringSessionContext


spring.jpa.show-sql=true
spring.jpa.properties.hibernate.format_sql=true

logging.logback.rollingpolicy.max-file-size=5MB
logging.pattern.file=%d{dd-MM-yyyy HH:mm:ss} [%thread] %-5level %logger{36} - %msg%
logging.pattern.console=%clr(%d{yy-MM-dd E HH:mm:ss.SSS}){blue} %clr(%-5p) %clr(%logger{0}){blue} %clr(%m){faint}%n

rowsInPage=70
#absolutePathContent=d://java-projects/easetolearn/easetolearn-images/
absolutePathContent=d://xampp/htdocs/testing/
#virtualUrlContent=https://media.easetolearn.com
virtualUrlContent=http://localhost/testing

smtpHost=smtp.gmail.com
smtpPort=465
smtpEmail=meditcustomercare@gmail.com
smtpEmailPassword=Cloud@2021
smtpFromName=Medicos
smtpSSLOption=true

#pgResponseURL=https://studentuat.easetolearn.com/pgresponse
pgResponseURL=http://localhost:3000/pgresponse

#spring.redis.port=6379
#spring.redis.password=password
#spring.redis.host=localhost






